/*
 * Copyright 2010 The Closure Compiler Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/*
 * This file was generated from Google's Externs for the Google Maps v3.11 API.
 */
package google.maps.adsense {

import google.maps.Map;
import google.maps.MVCObject;
import google.maps.ControlPosition;
import google.pseudo.Node;

/**
 * @see [google_maps_api_v3_11]
 * @constructor extends google.maps.MVCObject */
public class AdUnit extends google.maps.MVCObject {

    /**
     * @param container [(Node|null)] 
     * @param opts [(Object<?,string>|google.maps.adsense.AdUnitOptions|null)] 
     * @see [google_maps_api_v3_11]
     */
    public function AdUnit(container:Node, opts:Object) {
        super();
    }

    /**
     * @see [google_maps_api_v3_11]
     * @returns {(Node|null)} 
     */
    public function getContainer():Node {  return null; }

    /**
     * @see [google_maps_api_v3_11]
     * @returns {string} 
     */
    public function getTitleColor():String {  return null; }

    /**
     * @param channelNumber [string] 
     * @see [google_maps_api_v3_11]
     * @returns {undefined} 
     */
    public function setChannelNumber(channelNumber:String):Object /* undefined */ {  return null; }

    /**
     * @see [google_maps_api_v3_11]
     * @returns {string} 
     */
    public function getBackgroundColor():String {  return null; }

    /**
     * @param position [(google.maps.ControlPosition|null)] 
     * @see [google_maps_api_v3_11]
     * @returns {undefined} 
     */
    public function setPosition(position:google.maps.ControlPosition):Object /* undefined */ {  return null; }

    /**
     * @see [google_maps_api_v3_11]
     * @returns {string} 
     */
    public function setBackgroundColor():String {  return null; }

    /**
     * @see [google_maps_api_v3_11]
     * @returns {string} 
     */
    public function setBorderColor():String {  return null; }

    /**
     * @see [google_maps_api_v3_11]
     * @returns {(google.maps.ControlPosition|null)} 
     */
    public function getPosition():google.maps.ControlPosition {  return null; }

    /**
     * @see [google_maps_api_v3_11]
     * @returns {string} 
     */
    public function getUrlColor():String {  return null; }

    /**
     * @see [google_maps_api_v3_11]
     * @returns {string} 
     */
    public function getBorderColor():String {  return null; }

    /**
     * @see [google_maps_api_v3_11]
     * @returns {string} 
     */
    public function getPublisherId():String {  return null; }

    /**
     * @param map [(google.maps.Map|null)] 
     * @see [google_maps_api_v3_11]
     * @returns {undefined} 
     */
    public function setMap(map:google.maps.Map):Object /* undefined */ {  return null; }

    /**
     * @see [google_maps_api_v3_11]
     * @returns {(google.maps.Map|null)} 
     */
    public function getMap():google.maps.Map {  return null; }

    /**
     * @param format [(google.maps.adsense.AdFormat|null)] 
     * @see [google_maps_api_v3_11]
     * @returns {undefined} 
     */
    public function setFormat(format:google.maps.adsense.AdFormat):Object /* undefined */ {  return null; }

    /**
     * @see [google_maps_api_v3_11]
     * @returns {string} 
     */
    public function getChannelNumber():String {  return null; }

    /**
     * @see [google_maps_api_v3_11]
     * @returns {(google.maps.adsense.AdFormat|null)} 
     */
    public function getFormat():google.maps.adsense.AdFormat {  return null; }

    /**
     * @see [google_maps_api_v3_11]
     * @returns {string} 
     */
    public function setTitleColor():String {  return null; }

    /**
     * @see [google_maps_api_v3_11]
     * @returns {string} 
     */
    public function setTextColor():String {  return null; }

    /**
     * @see [google_maps_api_v3_11]
     * @returns {string} 
     */
    public function setUrlColor():String {  return null; }

    /**
     * @see [google_maps_api_v3_11]
     * @returns {string} 
     */
    public function getTextColor():String {  return null; }

}
}
