////////////////////////////////////////////////////////////////////////////////
//
//  Licensed to the Apache Software Foundation (ASF) under one or more
//  contributor license agreements.  See the NOTICE file distributed with
//  this work for additional information regarding copyright ownership.
//  The ASF licenses this file to You under the Apache License, Version 2.0
//  (the "License"); you may not use this file except in compliance with
//  the License.  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS,
//  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  See the License for the specific language governing permissions and
//  limitations under the License.
//
////////////////////////////////////////////////////////////////////////////////
package org.apache.royale.net.events
{
	import org.apache.royale.events.Event;
	
    /**
     *  FaultEvents are returned from RPC requests to a remote endpoint
     *  when the server responds with a fault.
     *  
     *  @langversion 3.0
     *  @playerversion Flash 9
     *  @playerversion AIR 1.1
     *  @productversion BlazeDS 4
     *  @productversion LCDS 3 
     * 
     *  @royalesuppresspublicvarwarning
     */
	public class FaultEvent extends Event
	{
	    public static const FAULT:String = "fault";	
		public var message:Object;
	
	    public function FaultEvent(type:String, message:Object = null, bubbles:Boolean = false, cancelable:Boolean = true)
	    {
	        super(type, bubbles, cancelable);
			this.message = message;
	    }
	}

}
