// Copyright 2005 The Closure Library Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS-IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package goog.events {

/**
 * Constants for event names.
 *
 * @see [eventtype]
 */
public class EventType {


    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MSLOSTPOINTERCAPTURE:String = 'MSLostPointerCapture';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MOUSEUP:String = 'mouseup';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const DRAG:String = 'drag';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const RESET:String = 'reset';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const ONLINE:String = 'online';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const POINTERCANCEL:String = 'pointercancel';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const SIZECHANGED:String = 'sizechanged';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const RESPONSIVE:String = 'responsive';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const ORIENTATIONCHANGE:String = 'orientationchange';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const DOMCONTENTLOADED:String = 'DOMContentLoaded';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const DRAGOVER:String = 'dragover';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const WHEEL:String = 'wheel';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const DOMCHARACTERDATAMODIFIED:String = 'DOMCharacterDataModified';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const COMPOSITIONEND:String = 'compositionend';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const ANIMATIONITERATION:String = 'animationiteration';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const LOADREDIRECT:String = 'loadredirect';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const BEFOREUNLOAD:String = 'beforeunload';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const POINTEROUT:String = 'pointerout';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const LOADCOMMIT:String = 'loadcommit';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const BEFOREPASTE:String = 'beforepaste';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const LOSECAPTURE:String = 'losecapture';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const ANIMATIONSTART:String = 'animationstart';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const DEACTIVATE:String = 'deactivate';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const CONNECT:String = 'connect';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MSGESTUREEND:String = 'MSGestureEnd';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const KEYUP:String = 'keyup';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MSPOINTERHOVER:String = 'MSPointerHover';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const TRANSITIONEND:String = 'transitionend';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MSGESTURETAP:String = 'MSGestureTap';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const POINTEROVER:String = 'pointerover';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const PAGESHOW:String = 'pageshow';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const OFFLINE:String = 'offline';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const CONSOLEMESSAGE:String = 'consolemessage';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const SELECT:String = 'select';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const CONTEXTMENU:String = 'contextmenu';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const POINTERLEAVE:String = 'pointerleave';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const TOUCHMOVE:String = 'touchmove';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const EXIT:String = 'exit';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MSPOINTERLEAVE:String = 'MSPointerLeave';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const SUBMIT:String = 'submit';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const POINTERDOWN:String = 'pointerdown';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const LOSTPOINTERCAPTURE:String = 'lostpointercapture';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MOUSELEAVE:String = 'mouseleave';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const LOAD:String = 'load';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MOUSEMOVE:String = 'mousemove';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const ERROR:String = 'error';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MSPOINTERCANCEL:String = 'MSPointerCancel';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const CUT:String = 'cut';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const BLUR:String = 'blur';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const LOADABORT:String = 'loadabort';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const PASTE:String = 'paste';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MSPOINTERENTER:String = 'MSPointerEnter';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MOUSEOVER:String = 'mouseover';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MSPOINTERUP:String = 'MSPointerUp';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MOUSEOUT:String = 'mouseout';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const COMPOSITIONSTART:String = 'compositionstart';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const DRAGENTER:String = 'dragenter';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const DBLCLICK:String = 'dblclick';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const POINTERENTER:String = 'pointerenter';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const BEFORECUT:String = 'beforecut';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const GOTPOINTERCAPTURE:String = 'gotpointercapture';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const HELP:String = 'help';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const DOMATTRMODIFIED:String = 'DOMAttrModified';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const DRAGLEAVE:String = 'dragleave';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const FOCUS:String = 'focus';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const FOCUSIN:String = 'focus';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const CLICK:String = 'click';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const INPUT:String = 'input';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const TOUCHCANCEL:String = 'touchcancel';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MSPOINTERDOWN:String = 'MSPointerDown';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MSGESTUREHOLD:String = 'MSGestureHold';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const HASHCHANGE:String = 'hashchange';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const SCROLL:String = 'scroll';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const FOCUSOUT:String = 'blur';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const KEYPRESS:String = 'keypress';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const POPSTATE:String = 'popstate';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const DOMSUBTREEMODIFIED:String = 'DOMSubtreeModified';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const STORAGE:String = 'storage';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const KEYDOWN:String = 'keydown';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const COPY:String = 'copy';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const SELECTSTART:String = 'selectstart';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MESSAGE:String = 'message';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MOUSEDOWN:String = 'mousedown';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MSPOINTERMOVE:String = 'MSPointerMove';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MSPOINTEROVER:String = 'MSPointerOver';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const DRAGSTART:String = 'dragstart';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const DOMNODEINSERTED:String = 'DOMNodeInserted';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MSGESTURESTART:String = 'MSGestureStart';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const PROPERTYCHANGE:String = 'propertychange';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const PAGEHIDE:String = 'pagehide';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const TEXTINPUT:String = 'textInput';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MSINERTIASTART:String = 'MSInertiaStart';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const POINTERMOVE:String = 'pointermove';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const TOUCHEND:String = 'touchend';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MOUSEENTER:String = 'mouseenter';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MSPOINTEROUT:String = 'MSPointerOut';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const UNRESPONSIVE:String = 'unresponsive';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const DRAGEND:String = 'dragend';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const TEXT:String = 'text';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const POINTERUP:String = 'pointerup';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const CHANGE:String = 'change';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const UNLOAD:String = 'unload';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const LOADSTART:String = 'loadstart';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const VISIBILITYCHANGE:String = 'visibilitychange';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const COMPOSITIONUPDATE:String = 'compositionupdate';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const DROP:String = 'drop';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const RESIZE:String = 'resize';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const DOMNODEINSERTEDINTODOCUMENT:String = 'DOMNodeInsertedIntoDocument';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const TOUCHSTART:String = 'touchstart';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const DOMNODEREMOVEDFROMDOCUMENT:String = 'DOMNodeRemovedFromDocument';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const DOMNODEREMOVED:String = 'DOMNodeRemoved';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const READYSTATECHANGE:String = 'readystatechange';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MSGOTPOINTERCAPTURE:String = 'MSGotPointerCapture';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const BEFORECOPY:String = 'beforecopy';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const RIGHTCLICK:String = 'rightclick';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const ANIMATIONEND:String = 'animationend';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const LOADSTOP:String = 'loadstop';

    /**
     * Generated doc for missing field JSDoc.
     *
     * @see [eventtype]
     */
    public static const MSGESTURECHANGE:String = 'MSGestureChange';

}
}
